package cn.com.poc.human_resources.service;

import cn.com.poc.human_resources.query.ResumeContentQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.human_resources.entity.BizHumanResourceResumeContentEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizHumanResourceResumeContentService extends BaseService {

    BizHumanResourceResumeContentEntity get(java.lang.Long id) throws Exception;

    List<BizHumanResourceResumeContentEntity> findByExample(BizHumanResourceResumeContentEntity example,
                                                            PagingInfo pagingInfo) throws Exception;

    BizHumanResourceResumeContentEntity save(BizHumanResourceResumeContentEntity entity) throws Exception;

    BizHumanResourceResumeContentEntity update(BizHumanResourceResumeContentEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    /**
     * 根据简历内容查询
     *
     * @param query      查询文本
     * @param positionId 职位ID
     */
    List<ResumeContentQueryItem> searchByResumeContent(String query, Long positionId);

}